GDB (xrefs)

Functions | Variables
common-debug.h File Reference

Go to the source code of this file.

## Functions
void | debug_printf (const char *format,...) ATTRIBUTE_PRINTF(1
void void | debug_vprintf (const char *format, va_list ap) ATTRIBUTE_PRINTF(1

## Variables
int | show_debug_regs

## Function Documentation

## ◆ debug_printf()

void debug_printf | ( | const char * | format,
|  |  | ...
| ) |  |

## ◆ debug_vprintf()

void void debug_vprintf | ( | const char * | format,
|  | va_list | ap
| ) |  |

Referenced by ATTRIBUTE_PRINTF(), and debug_printf().

## Variable Documentation

## ◆ show_debug_regs

int show_debug_regs

Definition at line 25 of file common-debug.c.

Referenced by _initialize_mips_linux_nat(), _initialize_s390_nat(), aarch64_handle_unaligned_watchpoint(), aarch64_linux_insert_hw_breakpoint(), aarch64_linux_insert_watchpoint(), aarch64_linux_prepare_to_resume(), aarch64_linux_remove_hw_breakpoint(), aarch64_linux_remove_watchpoint(), add_show_debug_regs_command(), debug_reg_change_callback(), mips_linux_insert_watchpoint(), mips_linux_remove_watchpoint(), s390_prepare_to_resume(), s390_stopped_by_watchpoint(), x86_dr_insert_watchpoint(), x86_dr_remove_watchpoint(), and x86_dr_stopped_data_address().